DTEDSubframedFrame.ImageData (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.dted
Class DTEDSubframedFrame.ImageData

    java.lang.Object
      com.bbn.openmap.layer.dted.DTEDSubframedFrame.ImageData

Direct Known Subclasses:
  DTEDSubframedFrame.ImageData.Byte, DTEDSubframedFrame.ImageData.Pixel

Enclosing class:
  DTEDSubframedFrame

    protected abstract static class DTEDSubframedFrame.ImageData

extends java.lang.Object

Nested Class Summary
`protected static class` | `DTEDSubframedFrame.ImageData.Byte`
`protected static class` | `DTEDSubframedFrame.ImageData.Pixel`

Constructor Summary
`protected` | `DTEDSubframedFrame.ImageData(int w, int h, java.awt.Color[] colors)`

Method Summary
`protected static DTEDSubframedFrame.ImageData` | `getImageData(int colorModel, int width, int height, java.awt.Color[] colors)`
`protected abstract void` | `set(short x, short y, int value)`
`protected abstract void` | `updateData(DTEDFrameSubframe dfs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTEDSubframedFrame.ImageData

    protected DTEDSubframedFrame.ImageData(int w,
                                           int h,
                                           java.awt.Color[] colors)

Method Detail

### set

    protected abstract void set(short x,
                                short y,
                                int value)

### updateData

    protected abstract void updateData(DTEDFrameSubframe dfs)

### getImageData

    protected static DTEDSubframedFrame.ImageData getImageData(int colorModel,
                                                               int width,
                                                               int height,
                                                               java.awt.Color[] colors)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details